SOSCmd (Apache Ant API)

Package org.apache.tools.ant.taskdefs.optional.sos

## Interface SOSCmd

- All Known Implementing Classes:
    `SOS`, `SOSCheckin`, `SOSCheckout`, `SOSGet`, `SOSLabel`

      public interface SOSCmd

  Interface to hold constants used by the SOS tasks

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `COMMAND_CHECKIN_FILE` | The checkin file command
    `static java.lang.String` | `COMMAND_CHECKIN_PROJECT` | The checkin project command
    `static java.lang.String` | `COMMAND_CHECKOUT_FILE` | The checkout file command
    `static java.lang.String` | `COMMAND_CHECKOUT_PROJECT` | The checkout project command
    `static java.lang.String` | `COMMAND_GET_FILE` | The get file command
    `static java.lang.String` | `COMMAND_GET_PROJECT` | The get project command
    `static java.lang.String` | `COMMAND_HISTORY` | The get history command
    `static java.lang.String` | `COMMAND_LABEL` | The add label command
    `static java.lang.String` | `COMMAND_SOS_EXE` | The sos executable
    `static java.lang.String` | `FLAG_COMMAND` | The command option
    `static java.lang.String` | `FLAG_COMMENT` | The log option
    `static java.lang.String` | `FLAG_FILE` | The file option
    `static java.lang.String` | `FLAG_LABEL` | The label option
    `static java.lang.String` | `FLAG_NO_CACHE` | The no cache option
    `static java.lang.String` | `FLAG_NO_COMPRESSION` | The no compression option
    `static java.lang.String` | `FLAG_PASSWORD` | The password option
    `static java.lang.String` | `FLAG_PROJECT` | The project option
    `static java.lang.String` | `FLAG_RECURSION` | The recursive option
    `static java.lang.String` | `FLAG_SOS_HOME` | The sos home option
    `static java.lang.String` | `FLAG_SOS_SERVER` | The server option
    `static java.lang.String` | `FLAG_USERNAME` | The username option
    `static java.lang.String` | `FLAG_VERBOSE` | The verbose option
    `static java.lang.String` | `FLAG_VERSION` | The revision option
    `static java.lang.String` | `FLAG_VSS_SERVER` | The database (vss server) option
    `static java.lang.String` | `FLAG_WORKING_DIR` | The workdir option
    `static java.lang.String` | `PROJECT_PREFIX` | The project prefix

- - ### Field Detail

    - #### COMMAND_SOS_EXE

          static final java.lang.String COMMAND_SOS_EXE

      The sos executable
      See Also:
        Constant Field Values

    - #### COMMAND_GET_FILE

          static final java.lang.String COMMAND_GET_FILE

      The get file command
      See Also:
        Constant Field Values

    - #### COMMAND_GET_PROJECT

          static final java.lang.String COMMAND_GET_PROJECT

      The get project command
      See Also:
        Constant Field Values

    - #### COMMAND_CHECKOUT_FILE

          static final java.lang.String COMMAND_CHECKOUT_FILE

      The checkout file command
      See Also:
        Constant Field Values

    - #### COMMAND_CHECKOUT_PROJECT

          static final java.lang.String COMMAND_CHECKOUT_PROJECT

      The checkout project command
      See Also:
        Constant Field Values

    - #### COMMAND_CHECKIN_FILE

          static final java.lang.String COMMAND_CHECKIN_FILE

      The checkin file command
      See Also:
        Constant Field Values

    - #### COMMAND_CHECKIN_PROJECT

          static final java.lang.String COMMAND_CHECKIN_PROJECT

      The checkin project command
      See Also:
        Constant Field Values

    - #### COMMAND_HISTORY

          static final java.lang.String COMMAND_HISTORY

      The get history command
      See Also:
        Constant Field Values

    - #### COMMAND_LABEL

          static final java.lang.String COMMAND_LABEL

      The add label command
      See Also:
        Constant Field Values

    - #### PROJECT_PREFIX

          static final java.lang.String PROJECT_PREFIX

      The project prefix
      See Also:
        Constant Field Values

    - #### FLAG_COMMAND

          static final java.lang.String FLAG_COMMAND

      The command option
      See Also:
        Constant Field Values

    - #### FLAG_VSS_SERVER

          static final java.lang.String FLAG_VSS_SERVER

      The database (vss server) option
      See Also:
        Constant Field Values

    - #### FLAG_USERNAME

          static final java.lang.String FLAG_USERNAME

      The username option
      See Also:
        Constant Field Values

    - #### FLAG_PASSWORD

          static final java.lang.String FLAG_PASSWORD

      The password option
      See Also:
        Constant Field Values

    - #### FLAG_COMMENT

          static final java.lang.String FLAG_COMMENT

      The log option
      See Also:
        Constant Field Values

    - #### FLAG_WORKING_DIR

          static final java.lang.String FLAG_WORKING_DIR

      The workdir option
      See Also:
        Constant Field Values

    - #### FLAG_RECURSION

          static final java.lang.String FLAG_RECURSION

      The recursive option
      See Also:
        Constant Field Values

    - #### FLAG_VERSION

          static final java.lang.String FLAG_VERSION

      The revision option
      See Also:
        Constant Field Values

    - #### FLAG_LABEL

          static final java.lang.String FLAG_LABEL

      The label option
      See Also:
        Constant Field Values

    - #### FLAG_NO_COMPRESSION

          static final java.lang.String FLAG_NO_COMPRESSION

      The no compression option
      See Also:
        Constant Field Values

    - #### FLAG_NO_CACHE

          static final java.lang.String FLAG_NO_CACHE

      The no cache option
      See Also:
        Constant Field Values

    - #### FLAG_SOS_SERVER

          static final java.lang.String FLAG_SOS_SERVER

      The server option
      See Also:
        Constant Field Values

    - #### FLAG_SOS_HOME

          static final java.lang.String FLAG_SOS_HOME

      The sos home option
      See Also:
        Constant Field Values

    - #### FLAG_PROJECT

          static final java.lang.String FLAG_PROJECT

      The project option
      See Also:
        Constant Field Values

    - #### FLAG_FILE

          static final java.lang.String FLAG_FILE

      The file option
      See Also:
        Constant Field Values

    - #### FLAG_VERBOSE

          static final java.lang.String FLAG_VERBOSE

      The verbose option
      See Also:
        Constant Field Values